Bug 128689 - Anaconda will not read partition table
Anaconda will not read partition table
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-27 22:11 EDT by j. Ellis
Modified: 2015-01-04 17:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:39:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description j. Ellis 2004-07-27 22:11:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
While installing a dual boot WIndows XP/FC2 64 bit. 
Anaconda cannot read the original partion table.  I am using a 
Promise SATA controller with 2 SATA Maxtor drives in a Hardware 2+0 
raid.  It gives the error:   Unable to read the partition table 
for /dev/sda  do you want to erase the partition table?

I have a 30GB free partition.  I used Partition Magic 8.0 to create 
the free space.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Have WIndows XP Home version loaded on a 2+0 partition (2 maxtor 
80GB drives) with 30GB space free
2. Boot off the cdrom and go through the Anaconda installer
3. Say you would like to manually specify the partitons.  
4. Immediatly Anaconda cannot read the original Partition
    

Actual Results:  Anaconda cannot read the Partiton on /dev/sda.  If 
Anaconda rewrites the table you loose all original data on the drives.

Expected Results:  be able to specify which partition I would like to 
install FC2 on.

Additional info:
Comment 1 j. Ellis 2004-07-29 17:07:58 EDT
I have also tried the workaround as stated on webpage:
http://www.redhat.com/archives/fedora-devel-list/2004-
May/msg00908.html
The issue still persists.   I am hesitant to wipe the partiotn table 
info.
Comment 2 Jeremy Katz 2004-08-03 13:52:46 EDT
The various SATA "hardware" RAIDs are not supported by the kernel.
Comment 3 Dave Jones 2005-04-16 00:39:42 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.